<?php
session_start();
include(‘postRequests.php’);
?>
<!DOCTYPE html>
<html lang=”en”>
<head>
<meta charset=”utf-8”>
<meta http-equiv=”X-UA-Compatible” content=”IE=edge”>
<meta name=”viewport” content=”width=device-width, initial-scale=1”>
<!-- The above 3 meta tags *must* come first in the head; any other head content must come
*after* these tags -->
<meta name=”description” content=””>
<meta name=”author” content=””>
<link rel=”icon” href=”favicon.png”>
<title>Pametna poljoprivreda</title>
<!-- Bootstrap core CSS -->
<link href=”./css/bootstrap.min.css” rel=”stylesheet”>
<!-- Bootstrap theme -->
<link href=”./css/bootstrap-theme.min.css” rel=”stylesheet”>
<link href=”./css/bootstrap-switch.css” rel=”stylesheet”>
<script src=”./js/jquery.min.js”></script>
<script type=”text/javascript”
src=”https://www.google.com/jsapi?autoload={
‘modules’:[{
‘name’:’visualization’,
‘version’:’1’,
‘packages’:[‘corechart’]
}]
}]
}”></script>
<?php
include (“sensorData.php”);
?>
<script type=”text/javascript”>
google.load(‘visualization’, ‘1.1’, {packages: [‘line’, ‘corechart’]});
google.setOnLoadCallback(drawChart);
function drawChart() {
var materialChart;
var materialDiv = document.getElementById(‘material’);
var data = new google.visualization.DataTable();
data.addColumn(‘string’, ‘Vreme’);
data.addColumn(‘number’, “Prosečna temperatura”);
data.addColumn(‘number’, “Prosečna vlažnost”);
data.addRows(<?php echo $json_niz; ?>);
320 Iot систем за праћење развоја шампињона
var materialOptions = {
chart: {
title: ‘Podaci sa senzora DHT11 (od <?php echo $start_period_date_frm; ?> do
<?php echo $end_period_date_frm; ?>)’
},
width: 1000,
height: 500,
series: {
0: {axis: ‘Temp’},
1: {axis: ‘Humidity’}
},
colors:[‘//E60000’, ‘//005CE6’],
axes: {
y: {
Temp: {label: ‘Temperatura (°C)’},
Humidity: {label: ‘ Vlažnost (%)’}
}
}
};
materialChart = new google.charts.Line(materialDiv);
materialChart.draw(data, materialOptions);
}
</script>
<script type=”text/javascript”>
google.load(‘visualization’, ‘1.1’, {packages: [‘line’, ‘corechart’]});
google.setOnLoadCallback(drawChart2);
function drawChart2() {
var materialChart2;
var materialDiv2 = document.getElementById(‘material2’);
var data = new google.visualization.DataTable();
data.addColumn(‘string’, ‘Vreme’);
data.addColumn(‘number’, “Prosečan CO”);
data.addRows(<?php echo $json_niz2; ?>);
var materialOptions = {
chart: {
title: ‘Podaci sa senzora MQ7 (od <?php echo $start_period_date_frm; ?> do <?php
echo $end_period_date_frm; ?>)’
},
width: 900,
height: 500,
series: {
0: {axis: ‘CO’},
},
colors:[‘//FFD119’],
axes: {
y: {

CO: {label: ‘ CO (ppm)’}
}
}
};
materialChart2 = new google.charts.Line(materialDiv2);
materialChart2.draw(data, materialOptions);
}
</script>
<script type=”text/javascript”>
function clickHandler(anchor) {
var hasClass = anchor.getAttribute(‘class’);
if (hasClass !== ‘active’) {
anchor.setAttribute(‘class’, ‘active’);
}
}
</script>
</head>
<body role=”document” style=”padding-top:50px”>
<?php
include(‘postRequests.php’);
?>
<nav class=”navbar navbar-default navbar-fixed-top” role=”navigation”>
<div class=”container”>
<div class=”navbar-header”>
<button type=”button” class=”navbar-toggle collapsed” data-toggle=”collapse” data-target=”//
navbar-collapsible”>
<span class=”sr-only”>Toggle navigation</span>
<span class=”icon-bar”></span>
<span class=”icon-bar”></span>
<span class=”icon-bar”></span>
</button>
<a class=”navbar-brand text-danger” href=”//start”>Pametna poljoprivreda</a>
</div>
<div class=”navbar-collapse collapse” id=”navbar-collapsible”>
<ul class=”nav navbar-nav”>
<li><a href=”//start”><span class=”glyphicon glyphicon-home” aria-hidden=”true”></span>
Početna</a></li>
<li><a href=”//settings”><span class=”glyphicon glyphicon-cog” aria-hidden=”true”></
span> Podešavanja</a></li>
<li><a href=”//history”><span class=”glyphicon glyphicon-random” aria-hidden=”true”></
span> Istorijski podaci</a></li>
<li>&nbsp;</li>
</ul>
</div>
</div>
</nav>
<section class=”container-fluid” id=”start”>
<div class=”container”>
<div class=”page-header”>
<h1><span class=”glyphicon glyphicon-home” aria-hidden=”true”></span> Pametna poljoprivreda
- Gajenje šampinjona</h1>
</div>
<?php
include(‘appData.php’);
function convertDate($strDate){
$newStrDate = substr ($strDate,8,2).”.”.substr($strDate,5,2).”.”.substr($strDate,
0,4).”.”.substr($strDate,10,9);
return $newStrDate;
}
?>
<?php include(‘userSettings.php’);
?>
<div class=”row”>
<div class=”col-sm-4 col-lg-3”>
<p class=”text-muted”><b>Temperatura: <?php echo $temperature;?>°C</b></p>
<?php
if($temperature < $minTemp || $temperature > $maxTemp){
echo (‘<img src=”images/temp_red.png” alt=”Temperature Red”>’);
}
else{
echo (‘<img src=”images/temp_green.png” alt=”Temperature Red”>’);
}
?>
<br></br>
<br></br>
</div>
<div class=”col-sm-4 col-lg-3”>
<p class=”text-muted”><b>Vlažnost: <?php echo $humidity;?>%</b></p>
<?php
if($humidity < $minHum || $humidity > $maxHum){
echo (‘<img src=”images/hum_red.png” alt=”Humidity Red”>’);
}
else{
echo (‘<img src=”images/hum_green.png” alt=”Humidity Red”>’);
}
?>
<br></br>
<br></br>
</div>
<div class=”col-sm-4 col-lg-3”>


<p class=”text-muted”><b>CO: <?php echo $co;?> ppm</b></p>
<?php
if($co < $minCo || $co > $maxCo){
echo (‘<img src=”images/co_red.png” alt=”CO Red”>’);
}
else{
echo (‘<img src=”images/co_green.png” alt=”CO Red”>’);
}
?>
<br></br>
<br></br>
</div>
<p class=”text-muted”><span class=”glyphicon glyphicon-time” aria-hidden=”true”></
span><b> Izmereno: <?php echo convertDate($time);?></b></p>
</div>
</div>
<br><br>
</section>
<section class=”container-fluid” id=”settings”>
<div class=”container”>
<div class=”page-header”>
<h1 id=”settingsFaza”><span class=”glyphicon glyphicon-cog” aria-hidden=”true”></span>
Podešavanja</h1>
</div>
<h3> Podešavanje faze u razvoju gajenja pečuraka: </h3>
<br>
<form class=”form-horizontal” action=”index.php” method=”POST”>
<?php include(‘konekcija.php’);?>
<div class=”form-group”>
<?php $sql3 = “SELECT * FROM `faze`”;
$result_us = $conn->query($sql3);
$sql2 = “SELECT faza FROM user_settings WHERE name = ‘aktivnaFaza’”;
$result2 = $conn->query($sql2);
$faza = $result2->fetch_object()->faza;
?>
<label for=”fazaID” class=”col-sm-4 control-label”>Odaberite fazu: </label>
<div class=”col-sm-2”>
<select class=”form-control” id=”fazaID” name = “fazaID” >
<?php while($row = $result_us->fetch_object()) {
?>
<option value=”<?php echo $row->idFaze;?>” <?php if($row->idFaze == $faza){echo “selected”;
$idFaze=$row->idFaze; $imeFaze=$row->imeFaze;}?>><?php echo $row->idFaze.”. “
.$row->imeFaze;?></option>
<?php
}
?>
324 Iot систем за праћење развоја шампињона
</select>
</div>
</div>
<div class=”form-group”>
<div class=”col-sm-offset-4 col-sm-10”>
<button type=”submit” class=”btn btn-default” name=”main_settings”>Sačuvaj odabranu
fazu</button>
</div>
</div>
</form>
<br><hr><br>
<h3 id=”settingsUser”> Podešavanje kritičnih stanja odabrane faze (<?php echo $idFaze.”.
“.$imeFaze;?>): </h3>
<br>
<form class=”form-horizontal” action=”index.php” method=”POST”>
<input type=”hidden” name=”fazaID” value=”<?php echo $idFaze;?>” />
<div class=”form-group”>
<label for=”minTemp” class=”col-sm-4 control-label”>Minimalna temperatura:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”minTemp” placeholder=”[0-100]
°C” name=”minTemp” value= “’.$minTemp.’” required pattern=”[0-9]|[1-9][0-9]|100” title-
=”Temperature mora biti u rasponu od 0°C do 100°C” >’);?>
</div>
</div>
<div class=”form-group”>
<label for=”maxTemp” class=”col-sm-4 control-label”>Maksimalna temperatura:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”maxTemp” placeholder=”[0-100]
°C” name=”maxTemp” value= “’.$maxTemp.’” required pattern=”[0-9]|[1-9][0-9]|100” title-
=”Temperature mora biti u rasponu od 0°C do 100°C” >’);?>
</div>
</div>
<div class=”form-group”>
<label for=”minHum” class=”col-sm-4 control-label”>Minimalna vlažnost:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”minHum” placeholder=”[0-100]
%” name=”minHum” value= “’.$minHum.’” required pattern=”[0-9]|[1-9][0-9]|100” title-
=”Vlažnost mora biti u rasponu od 0% do 100%” >’);?>
</div>
</div>
<div class=”form-group”>
<label for=”maxHum” class=”col-sm-4 control-label”>Maksimalna vlažnost:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”maxHum” placeholder=”[0-100]
%” name=”maxHum” value= “’.$maxHum.’” required pattern=”[0-9]|[1-9][0-9]|100” title-
=”Vlažnost mora biti u rasponu od 0% do 100%”>’);?>
</div>
</div>
Практикум из Интернета интелигентних уређаја 325
<div class=”form-group”>
<label for=”minCo” class=”col-sm-4 control-label”>Minimalna količina CO:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”minCo” placeholder=”[0-2000]
ppm” name=”minCo” value= “’.$minCo.’” required pattern=”[0-9]|[1-9][0-9]|[1-9][0-9][0-
9]|[1][0-9][0-9][0-9]|2000” title=”Ugljen monoksid mora biti u rasponu od 0 ppm do 2000
ppm” >’);?>
</div>
</div>
<div class=”form-group”>
<label for=”maxCo” class=”col-sm-4 control-label”>Maksimalna količina CO:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”text” class=”form-control” id=”maxCo” placeholder=”[0-2000]
ppm” name=”maxCo” value= “’.$maxCo.’” required pattern=”[0-9]|[1-9][0-9]|[1-9][0-9][0-
9]|[1][0-9][0-9][0-9]|2000” title=”Ugljen monoksid mora biti u rasponu od 0 ppm do 2000
ppm” >’);?>
</div>
</div>
<div class=”form-group”>
<div class=”col-sm-offset-4 col-sm-10”>
<button type=”submit” class=”btn btn-default” name=”faza_settings”>Sačuvaj podešavanja</
button>
</div>
</div>
</form>
<br><hr><br>
<h3 id=”settingsEmail”> Podešavanje sistema upozoravanja: </h3>
<br>
<form class=”form-horizontal” action=”index.php” method=”POST”>
<div class=”form-group”>
<label for=”warningEmail” class=”col-sm-4 control-label”>Email adresa:</label>
<div class=”col-sm-2”>
<?php echo (‘<input type=”email” class=”form-control” id=”warningEmail” name=”warning
Email” name=”warningEmail” placeholder=”email@example.com” value= “’.$warningEmail.’”
required pattern=”^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$”>’);?>
</div>
<p class=”help-block”>Sistem će automatski slati upozorenja na ovu email adresu.</p>
</div>
<div class=”form-group”>
<label for=”warningTime” class=”col-sm-4 control-label”>Učestalost slanja upozorenja:</
label>
<div class=”col-sm-2”>
<select class=”form-control” id=”warningTime” name=”warningTime”>
<option <?php if($warningTime == ‘1h’) { echo ‘selected’;} ?>>1h</option>
<option <?php if($warningTime == ‘2h’) { echo ‘selected’;} ?>>2h</option>
<option <?php if($warningTime == ‘4h’) { echo ‘selected’;} ?>>4h</option>
<option <?php if($warningTime == ‘8h’) { echo ‘selected’;} ?>>8h</option>
<option <?php if($warningTime == ‘12h’) { echo ‘selected’;} ?>>12h</option>
<option <?php if($warningTime == ‘24h’) { echo ‘selected’;} ?>>24h</option>
326 Iot систем за праћење развоја шампињона
</select>
</div>
<p class=”help-block”>Počev of 8h ujutru, sistem će slati upozorenja po ovoj dinamici.</
p>
</div>
<div class=”form-group”>
<div class=”col-sm-offset-4 col-sm-10”>
<button type=”submit” class=”btn btn-default” name=”warning_settings”>Sačuvaj
podešavanja</button>
</div>
</div>
</form>
</div>
<br><br>
</section>
<section class=”container-fluid” id=”history”>
<div class=”container”>
<div class=”page-header”>
<h1><span class=”glyphicon glyphicon-random” aria-hidden=”true”></span> Istorijski podaci</
h1>
</div>
<div class=”row”>
<div class=”col-sm-6 col-lg-4” id=”material” style=”width: 900px; height: 500px” align-
=”center” >
</div>
</div>
<br></br>
<div class=”row”>
<div class=”col-sm-6 col-lg-4” id=”material2” style=”width: 900px; height: 500px” align-
=”center” >
</div>
</div>
</div>
<br><br>
</section>
<section class=”container-fluid” >
<div class=”container”>
<br><br><br><hr><br>
<div class=”container”>
<p class=”text-center”>Internet inteligentnih uređaja </p>
<p class=”text-center”>Miloš Timotić i Ljubiša Gačević </p>
<p class=”text-center”><a href=”http://www.elab.rs/”> Katedra za elektronsko poslovanje,
Fakultet organizacionih nauka </a>
</p>
</div>
</div>
</section>
Практикум из Интернета интелигентних уређаја 327
<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src=”js/bootstrap.js”></script>
<script src=”js/bootstrap.min.js”></script>
<script src=”js/highlight.js”></script>
<script src=”js/bootstrap-switch.js”></script>
<script src=”js/main.js”></script>
</body>
</html>
<?php $conn->close();
?>